XmlAccessorOrder (Java Platform SE 8 )
Keywords: javax.xml.bind.annotation.XmlAccessorOrder class
Date: 2026-01-21

javax.xml.bind.annotation

## Annotation Type XmlAccessorOrder

-     @Inherited
       @Retention(value=RUNTIME)
       @Target(value={PACKAGE,TYPE})
      public @interface XmlAccessorOrder

  Controls the ordering of fields and properties in a class.

  ### Usage

  `@XmlAccessorOrder` annotation can be used with the following program elements:

  - package
  - a top level class

  See "Package Specification" in `javax.xml.bind` package javadoc for additional common information.

  The effective `XmlAccessOrder` on a class is determined as follows:

  - If there is a `@XmlAccessorOrder` on a class, then it is used.
  - Otherwise, if a `@XmlAccessorOrder` exists on one of its super classes, then it is inherited (by the virtue of `Inherited`)
  - Otherwise, the `@XmlAccessorOrder` on the package of the class is used, if it's there.
  - Otherwise `XmlAccessOrder.UNDEFINED`.

  This annotation can be used with the following annotations: `XmlType`, `XmlRootElement`, `XmlAccessorType`, `XmlSchema`, `XmlSchemaType`, `XmlSchemaTypes`, , `XmlJavaTypeAdapter`. It can also be used with the following annotations at the package level: `XmlJavaTypeAdapter`.

  Since:
    JAXB2.0
  See Also:
    `XmlAccessOrder`

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `XmlAccessOrder` | `value`

- - ### Element Detail

    - #### value

          public abstract XmlAccessOrder value

      Default:
        javax.xml.bind.annotation.XmlAccessOrder.UNDEFINED

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.